Cauchy {stats} | R Documentation

## The Cauchy Distribution

### Description

Density, distribution function, quantile function and random generation for the Cauchy distribution with location parameter `location` and scale parameter `scale`.

### Usage

    dcauchy(x, location = 0, scale = 1, log = FALSE)
    pcauchy(q, location = 0, scale = 1, lower.tail = TRUE, log.p = FALSE)
    qcauchy(p, location = 0, scale = 1, lower.tail = TRUE, log.p = FALSE)
    rcauchy(n, location = 0, scale = 1)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`location, scale` | location and scale parameters.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).
`lower.tail` | logical; if TRUE (default), probabilities are P[X <= x], otherwise, P[X > x].

### Details

If `location` or `scale` are not specified, they assume the default values of `0` and `1` respectively.

The Cauchy distribution with location l and scale s has density

f(x) = 1 / (pi s (1 + ((x-l)/s)^2))

for all x.

### Value

`dcauchy`, `pcauchy`, and `qcauchy` are respectively the density, distribution function and quantile function of the Cauchy distribution. `rcauchy` generates random deviates from the Cauchy.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`dt` for the t distribution which generalizes `dcauchy(*, l = 0, s = 1)`.

### Examples

    dcauchy(-1:4)

[Package stats version 2.1.1 Index]